首页新闻找找看学习计划

vs2013中用.net4编写的程序支持xp吗?

0
[已解决问题] 解决于 2016-03-08 17:18

.net4.5不支持xp,那么vs2013中用.net4编写的程序编译后,能在xp中运行吗?

夜星冷的主页 夜星冷 | 初学一级 | 园豆:71
提问于:2014-01-18 20:34
< >
分享
最佳答案
0

我觉得没问题,毕竟编译的工作是.net4在做而不是vs2013,如果xp安装.net4,那么应该是一样的平台,这样应该能够正常运行

奖励园豆:5
诶碧司 | 小虾三级 |园豆:1912 | 2014-01-19 00:16
其他回答(4)
0

我觉得有风险吧,如果没有用过它的新特性,可能会正常运行。不过有时候也不要想太多,xp还有两个月就ms就不支持了。陆续会被淘汰。。。

angelshelter | 园豆:9676 (大侠五级) | 2014-01-18 22:21
0

XP上是可以安装Framework4的吧,那就应该没问题的.你的程序是运行在Framework上的

平常心队长 | 园豆:1113 (小虾三级) | 2014-01-20 09:53
0

要看你以来的.net framework版本,

你要是全使用.net2.0的类库,就不会有问题.跟VS版本没关系

吴瑞祥 | 园豆:28729 (高人七级) | 2014-01-20 11:08
0

XP不支持 .Net Framework 4.5. 所以能不能运行要取决于你的项目基于那个版本的 Framework.

参考http://www.microsoft.com/zh-CN/download/details.aspx?id=30653

支持的操作系统

Windows 7 Service Pack 1, Windows Server 2008 R2 SP1, Windows Server 2008 Service Pack 2, Windows Vista Service Pack 2

      • Windows Vista SP2(x86 和 x64)
      • Windows 7 SP1(x86 和 x64)
      • Windows Server 2008 R2 SP1 (x64)
      • Windows Server 2008 SP2(x86 和 x64)
刘雨赣 | 园豆:221 (菜鸟二级) | 2014-01-21 16:39
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册